lp:~kubuntu-packagers/kubuntu-packaging/kdevplatform-qt4

Created by Scarlett Gately Moore on 2015-11-10 and last modified on 2015-11-11
Get this branch:
bzr branch lp:~kubuntu-packagers/kubuntu-packaging/kdevplatform-qt4
Members of Kubuntu Packagers can upload to this branch. Log in for directions.

Branch merges

Related bugs

Related blueprints

Branch information

Owner:
Kubuntu Packagers
Project:
kubuntu-packaging
Status:
Development

Recent revisions

3. By Scarlett Gately Moore on 2015-11-11

Fix version cruft.

2. By Scarlett Gately Moore on 2015-11-11

New upstream release

1. By Scarlett Gately Moore on 2015-11-10

* Final 4 series bugfix release.
* Version bump due to bad upload..
* Release to Archive
* Fix version
* Utopic backport
* New upstream release
* Removed fix_shell_script fixed upstream.
* Drop excludeSvnPluginFromCompilation.diff which has been dropped
  from Debian LP: #1415451
* Recommends konsole4-kpart not suggests konsole
* Merge from Debian unstable. Remaining changes:
  - debian/tests/*, debian/control:
    + Add autopkgtest.
  - debian/control:
    + Replaces/Breaks kdevplatform6-libs.
  - debian/patches/excludeSvnPluginFromCompilation.diff,
    debian/kdevplatform8-libs.install, debian/control:
    + Do not compile incompatible licensed SVN plugin.
* Team upload.
* Upload to unstable (see #759494).
* New upstream release.
* Rename packages due to soname bump:
  - kdevplatform7-libs -> kdevplatform8-libs
  - libsublime7 -> libsublime8
* Update install files.
* Update copyright.
* Update copyright.
* Update install files.
* Bump the debhelper compatibility to 9:
  - bump compat to 9
  - bump the debhelper build dependency to 9
* Convert rules to the dh sequencer with kde addon.
* Remove unused cdbs build dependency.
* Switch a script to /bin/bash - it uses bash specific features.
* New upstream release
* Add XS-Testsuite: autopkgtest
* New upstream release (LP: #1259220)
* Update install files
* Team upload.
* New upstream release.
* Re-enable GPL-3+ licensed SVN plugin due to fixed license issue in
  GPL-2+ licensed shared library kdevplatformoutputview (was GPL-2)
  (Closes: #719202)
* Add libsvn-dev build dependency: needed for SVN plugin.
* Update install files.
* Update copyright.
* Bump Standards-Version to 3.9.5: no changes needed.
* Update debian/watch file to track xz compressed tarballs.
* kdevplatform7-libs.install: do not hardcode the minor grantlee version.
* Update Vcs-* headers.
* New upstream release
* Update watch file to use xz instead of bz2
* Update install files
* Team upload. Upload to unstable.
* New upstream release
* Rename packages due to soname bump:
  - kdevplatform5-libs -> kdevplatform7-libs
  - libsublime5 -> libsublime7
* Add build dependency to libgrantlee-dev (>= 0.1.7)
* Raise kdelibs5-dev build-dependency (>=4:4.7.0)
* Bump Standards-Version to 3.9.4: no changes needed.
* Update copyright.
* Disable compilation of SVN plugin due to license
  incompatability: patches/excludeSvnPluginFromCompilation.diff
* Remove libsvn-dev build dependency: only needed for SVN plugin.
* New upstream release
* Merge with Debian git packaging, remaining change
 - replace/break kdevplatform6-libs
* New upstream release
* Rename packages due to soname bump:
  - kdevplatform5-libs -> kdevplatform7-libs
  - libsublime5 -> libsublime7
* Add build dependency to libgrantlee-dev (>= 0.1.7)
* Raise kdelibs5-dev build-dependency (>=4:4.7.0)
* Bump Standards-Version to 3.9.4: no changes needed.
* Update copyright.
* Disable compilation of SVN plugin due to license
  incompatability: patches/excludeSvnPluginFromCompilation.diff
* Remove libsvn-dev build dependency: only needed for SVN plugin.
* New upstream release
* Add build-dep on libgrantlee-dev
* New upstream release
* New upstream release
* kdevplatform6-libs replaces/breaks kdevplatform5-libs
* New upstream beta release
* Remove kubuntu_01_appmenu_fix.diff, now upstream
* kdevplatform5-libs now kdevplatform6-libs
* libsublime5 now libsublime6
* Merge with Debian, remaining changes:
  - Disable kdevplatform-l10n and ship l10n in kdevplatform5-libs
  - Add kubuntu_01_appmenu_fix.diff
* Team upload. Upload to unstable.
* Team upload.
* New upstream release.
* Remove bash shell patch for kdev_format_source.sh: fixed upstream.
* Install kdevplatform_shell_environment.sh.
* New upstream bugfix release
  - Drop 11_disable_examples_tests.diff
* Team upload.
* New upstream release.
* Update install files.
* Add patch to use bash shell for kdev_format_source.sh.
* Rename packages due to soname bump:
  - kdevplatform3-libs -> kdevplatform5-libs
  - libsublime3 -> libsublime5
* Update debian/copyright file.
* Hardcode the SONAME in libsublime3.install and kdevplatform3-libs.install
  so SONAME bumps can't go unnoticed.
* Remove duplicate line in kdevplatform-dev.install.
* Depend on ${misc:Depends} everywhere.
* Drop libc6-dbg [amd64] dependency in kdevplatform-dbg, as it's already
  pulled by other -dbg packages.
* Bump Standards-Version to 3.9.3, no changes required.
* New upstream stable release
* New upstream release
* Add appropriate Breaks/Replaces for kdevplatform-dev
  - kdevplatform-dev now Breaks/Replaces kdevplatform3-libs
* New upstream release
  - Refreshed kubuntu_01_appmenu_fix.diff
  - Bump SONAME for kdevplatform and libsublime
    + Add appropriate Breaks/Replaces
  - Refresh install files
* Merge from Debian git repository, remaining changes:
  - Add kubuntu_01_appmenu_fix.diff
  - Keep translations in kdevplatform3-libs
  - libsublime3 breaks/replaces libsublime2 since we previously shipped
    libsublime.so.3 in libsublime2
* New upstream release.
* Update copyright.
* New upstream release
  - Add libqtwebkit-dev to build deps
* update boost built-dep to 1.46
* New upstream release:
  - provides Git support. (Closes: #597281)
  - fix ftbfs error: reference 'm_registry' cannot be declared 'mutable'
    (Closes: #624885)
* Merge all localization packages into one
  - includes: Catalan (ca), Southern Catalan (cavalencia), Danish (da),
    German (de), British English (engb), Spanish (es), Estonian (et),
    French (fr), Italian (it), Norwegian Bookmal (nb),
    Low Saxon (nds), Dutch (nl), Brazilian Portuguese (ptbr),
    Portuguese (pt), Russian (ru), Slovenian (sl), Swedish (sv),
    Thai (th), Ukrainian (uk), Chinese Simplified (zh_CN)
    Chinese Traditional (zh_TW)
  - add Breaks for all kdevplatform-l10n-* packages .
  - add Replaces for all kdevplatform-l10n-* packages.
  - add kdevplatform-l10n package.
* Rename packages due to soname bump:
  - kdevplatform2-libs -> kdevplatform3-libs
  - libsublime2 -> libsublime3
* Update install files.
* Add myself to Uploaders.
* Add libsublime1 debugging symbols. (Closes: #593636)
* Add debian/watch file to track upstream versions.
* Update Vcs-* fields to point to Git instead of SVN.
* Add myself to uploaders.
* Drop quilt from build-depends; not needed for src format 3.0.
* Update installed files.
* Bump pkg-kde-tools dependency to version 0.9.0 for building without quilt.
* Add build dependency on libqjson-dev for building the reviewboard plugin.
* Rename packages due to soname bump:
  - kdevplatform1-libs -> kdevplatform2-libs
  - libsublime1 -> libsublime2
* Bump Standards-Version to 3.9.1 (no changes needed).
* kdevplatform3-libs: suggest git, cvs, konsole.
* Add libqtwebkit-dev build dependency to fix ftbfs.
* New upstream release
  + refresh kdevplatform3-libs.install
* New upstream release
* New upstream release
  - don't suggest removed l10n packages
* New upstream release
  - kdevplatform2-libs is now kdevplatform3-libs due to ABI changes
  - Update kdevplatform3-libs.install to include l10n files
  - Update kdevplatform-dev.install
* Removed localization packages
* New upstream release
* Merge packaging with kubuntu-ppa/backports PPA
 - kdevplatform1-libs is now kdevplatform2-libs due to ABI changes
 - libsublime1 is now libsublime2 due to ABI changes
 - Add build-dep on libqjson-dev
* New upstream release
  - Bump build-dependencies
  - Build against libboost-serialization1.42-dev
  - Update kdevplatform1-libs.install
  - Update kdevplatform-dev.install
* Add kubuntu_01_appmenu_fix.diff by Aurélien Gâteau to make KDevplatform
  work with appmenu.
* New upstream release
  - Don't ship kdevplatform-l10n-de, German translation is missing from
    upstream, German dropped below the threshold of translated strings
* Add export KUBUNTU_DESKTOP_POT=extragear-sdk_kdevplatform
* New upstream release.
* Add localization packages: Finnish (fi), Dutch (nl), Slovenian (sl) and
  Thai (th).
* Update debian/control:
  - bump Standards-Version to 3.9.0 (no changes needed).
  - comment turkish localization package, not shipped in this release.
* Update debian/rules: remove workaround for FindKDE4Internal.cmake default
  rpath value, fixed in kdelibs5-dev 4.4.1.
* Remove hardcoded dependency in libsublime1 on kdelibs5.
* New upstream release.
* New upstream release.
* Add localization packages.
* New upstream release.
* Switch to dpkg-source 3.0 (quilt) format.
* New upstream release.
* New upstream release.
* Update debian/control:
  - bump build dependencies version (debhelper and pkg-kde-tools).
  - bump Standards-Version to 3.8.4 (no changes needed).
* Update debian/kdevplatform1-libs.install file.
* Update debian/kdevplatform-dev.install file.
* Update debian/rules: pass -DCMAKE_SKIP_RPATH=ON
  to workaround FindKDE4Internal.cmake default rpath value.
* Fix Vcs-Browser URL.
* New upstream release.
* Drop 01_kdevplatform_r1044088.diff patch.
* Update installed plugins: mercurial plugin removed.
* New upstream release.
* Add 01_kdevplatform_r1044088.diff patch.
* Remove kdevplatform version fix.
* Update installed plugins. Some plugins were removed upstream.
* Add Replaces against kdevelop and kdevelop-data (<< 4:3.9.96-1).
  Some files were move from these packages to kdevplatform1-libs.
* Add patch to fix kdevplatform version.
* New upstream release (beta 5).
* Bump Standards-Version to 3.8.3 (no changes needed).
* New snapshot from svn revision 1010123.
* Update *.install files:
  - libkdevplatformtestshell renamed to libkdevplatformtests.
  - add new files (kdevopenwith and kdevpatchreview).
* Update debian/rules:
  - add DEB_DH_MAKESHLIBS_ARGS_ALL := -V to generate a shlibs file with
    current upstream version of the package.
  - use DEB_DBG_PACKAGE instead of DEB_DH_STRIP_ARGS. debug package should
    be properly generated.
* New upstream release.
* Replace liboost1.37-dev build dependency by libboost-serialization-dev.
  (Closes: #531111)
* Bump Standards-Version to 3.8.2 (no changes needed).
* New upstream release.
* Update debian/kdevplatform-dev.install: add debugger include files.
* Update debian/kdevplatform1-libs.install: add kdevcodegen licenses files.
* Add liboost1.37-dev build dependency: It's needed to get the class browser
  plugin. We can't use boost 1.38 as it isn't supported yet.
* New upstream release.
* Bump Standards-Version to 3.8.1. No changes needed.
* Move kdevplatform-dbg package to debug section.
* Initial release (Closes: #509432).

Branch metadata

Branch format:
Branch format 7
Repository format:
Bazaar repository format 2a (needs bzr 1.16 or later)
This branch contains Public information 
Everyone can see this information.